//
//  ViewController.swift
//  IOS07_多视图开发
//
//  Created by lee on 2017/12/30.
//  Copyright © 2017年 物联网入门视频教程-IOS部分. All rights reserved.
//

import UIKit
import SnapKit
class ViewController: UIViewController {

    var txtUserName: UITextField!
    var txtPassWord: UITextField!
    var btnLogin: UIButton!
    override func viewDidLoad() {
        super.viewDidLoad()
        
        //实例化txtUserName这个UITextfield
        txtUserName = UITextField()
        txtUserName.borderStyle = UITextBorderStyle.line
        txtUserName.placeholder = "username"
        txtUserName.backgroundColor = UIColor.red
        view.addSubview(txtUserName)
        
        //实例化txtPassWord这个UItextField
        txtPassWord = UITextField()
        txtPassWord.borderStyle = UITextBorderStyle.line
        txtPassWord.placeholder = "password"
        txtPassWord.backgroundColor = UIColor.red
        txtPassWord.isSecureTextEntry = true
        view.addSubview(txtPassWord)
        
        //给txtUserName添加相对布局
        txtUserName.snp.makeConstraints { (username) in
            username.top.equalTo(view.snp.top).offset(100)
            username.centerX.equalTo(view.snp.centerX)
            username.width.equalTo(100)
            username.height.equalTo(30)
        }
        
        //给txtPassWord添加相对布局
        txtPassWord.snp.makeConstraints { (password) in
            password.top.equalTo(txtUserName.snp.bottom).offset(50)
            password.centerX.equalTo(view.snp.centerX)
            password.width.equalTo(txtUserName.snp.width)
            password.height.equalTo(txtUserName.snp.height)
        }
        
        //实例化btnLogin这个UIButton
        btnLogin = UIButton()
        btnLogin.setTitle("登录", for: UIControlState.normal)
        btnLogin.backgroundColor = UIColor.gray
        view.addSubview(btnLogin)
        
        //给btnLogin添加相对布局
        btnLogin.snp.makeConstraints { (btn) in
            btn.centerX.equalTo(view.snp.centerX)
            btn.top.equalTo(txtPassWord.snp.bottom).offset(50)
            btn.width.equalTo(100)
            btn.height.equalTo(30)
        }
        
        //将UIButton的监听方法绑定到按钮上
        btnLogin.addTarget(self, action: #selector(btnClick), for: UIControlEvents.touchUpInside)
    }
    
    //UIButton的监听方法
    func btnClick(){
    
        //实例化第二个视图的UIView
        let oView = otherView()
        
        //想要传递的数据
        oView.userName = txtUserName.text
        oView.passWord = txtPassWord.text
        
        //跳转到第二个视图
        self.present(oView, animated: true, completion: nil)
    }
}

